(function () {
    'use strict';

    angular
        .module('editorRotas')
        .factory('setoresService', setoresService);

    setoresService.$inject = ['Server'];

    function setoresService(Server) {
        function CarregarSetorArea(codigoSetor, codigoRota, temp) {
            var action = `EditorRotas/CarregarFormaSetor?codigoSetor=${codigoSetor}&codigoRota=${codigoRota}&temp=${temp}`;
            return Server.get(action, null);
        }

        function CarregarSetores() {
            var action = 'EditorRotas/CarregarSetores';
            return Server.get(action, null);
        }

        return {
            CarregarSetorArea: CarregarSetorArea,
            CarregarSetores: CarregarSetores
        }
    }
})();
